> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/categories-of-user-code-and-user-message-cc.md).

# Categories of User Code and User Message - CC

These references comprise a message code from the user / customer follows with an explanation.

<table><thead><tr><th width="128.00000000000003">User Code</th><th>Categories</th><th>Descriptions</th></tr></thead><tbody><tr><td>101</td><td>Transaction Approved</td><td>Transaction approved.</td></tr><tr><td>102</td><td>Transaction Declined – Refer Bank</td><td>Shopper may refer to bank for more information or assistance when the transaction is being declined.</td></tr><tr><td>103</td><td>Transaction Declined – Refer Merchant</td><td>Shopper may refer to merchant for more information or assistance when the transaction is being declined.</td></tr><tr><td>104</td><td>Transaction Declined – Invalid card details</td><td>To alert shopper in order to input a valid card details. This category is meant for credit card transaction usage at the moment, may be applicable for direct debit transaction in future.</td></tr><tr><td>105</td><td>Transaction Declined – Refer cardholder</td><td>To alert shopper to refer to credit card holder when there is a dispute/cancellation on transaction request.</td></tr><tr><td>106</td><td>Transaction Declined – Unknown Response</td><td>For the usage of unknown response return from bank side or Faspay e-Payment system.</td></tr><tr><td>107</td><td>Transaction Declined – Refer e-Wallet</td><td>Shopper may refer to e-Wallet for more information or assistance when the transaction is being declined.</td></tr><tr><td>108</td><td>Transaction Accepted – Refer shopper</td><td>Transaction accepted but pending action from shopper to make payment.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/categories-of-user-code-and-user-message-cc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
